import React from 'react';
import Expression from './Expression';
import { render, unmountComponentAtNode } from 'react-dom'


describe('Component', () => {
  let node

  beforeEach(() => {
    node = document.createElement('div')
  })

  afterEach(() => {
    unmountComponentAtNode(node)
  })

  it('renders without crashing', () => {
    const div = document.createElement('div');
    render(<Expression />, div);
    unmountComponentAtNode(div);
  });

  it('displays a expression component', () => {
    render(<Expression/>, node, () => {
      expect(node.innerHTML).toMatchSnapshot()
    })
  })

  it('displays a expression component with options', () => {
    render(<Expression options={['foo', 'bar']} />, node, () => {
      expect(node.innerHTML).toMatchSnapshot()
    })
  })
})